GET
https://dev.yimmit.com/api/v3/liquidity/ordersGet Orders
GET api/v3/liquidity/orders
Get your orders, result is paginated.
Parameters:
| Name | Type | Mandatory | Description |
|---|---|---|---|
| market | STRING | NO | Market pair code (e.g., btcusdt, ethbtc). |
| state | STRING | NO | Filter order by state. Allowed values: pending, wait, done, cancel, reject, under_review, in_review. |
| limit | INTEGER | NO | Limit the number of returned orders, default to 100. |
| page | INTEGER | NO | Specify the page of paginated results. |
| order_by | STRING | NO | If set, returned orders will be sorted in specific order, default to "desc". |
| ord_type | STRING | NO | Filter order by ord_type. Allowed values: market, limit, stop_loss_limit, take_profit_limit, stop_loss_market, take_profit_market, stop_limit. |
| stop_loss_type | STRING | NO | Filter by stop order type: stop_loss_limit, take_profit_limit, stop_limit. |
| type | STRING | NO | Filter order by type. |
| from | INTEGER | NO | An integer represents the seconds elapsed since Unix epoch.If set, only trades executed after the time will be returned. |
| to | INTEGER | NO | An integer represents the seconds elapsed since Unix epoch.If set, only trades executed before the time will be returned. |
Responses
- 200 Successful response
Returns a paginated list of orders for the authenticated user. Each order includes execution, fee and precision details.
Response Fields (for each order):
id: Order identifierbid: Base currency (lowercase)ask: Quote currency (lowercase)side:buyorsellord_type: Order type. Possible values:market,limit,stop_loss_limit,take_profit_limit,stop_loss_market,take_profit_market,stop_limit.quote_currency: Quote currency (uppercase)stop_loss_type: Stop order type. Possible values:stop_loss_limit,take_profit_limit,stop_limit, ornullif not applicable.stop_price: Trigger price for stop ordersstop_loss_status: Status of stop order ornullprice: Limit price (null for market orders)avg_price: Average executed pricestate: Order state. Possible values:pending,wait,done,cancel,reject,under_review,in_review.market: Market code (e.g.,ethusdc)maker_fee: Maker fee rate applied to the ordertotal_fee: Total fee charged for the orderorigin_volume: Original order volumeremaining_volume: Unfilled volume remainingexecuted_volume: Volume already executedamount_precision: Decimal precision for amountprice_precision: Decimal precision for pricetrades_count: Number of trades executed for this ordercreated_at: ISO timestamp when order was createdupdated_at: ISO timestamp when order was last updated...: Other optional fields may be present
[
{
"id": 182,
"bid": "usdc",
"ask": "eth",
"side": "buy",
"ord_type": "market",
"quote_currency": "USDC",
"stop_loss_type": "market",
"stop_price": "0.0",
"stop_loss_status": null,
"price": null,
"avg_price": "3003.16",
"state": "done",
"market": "ethusdc",
"maker_fee": "0.0015",
"total_fee": "0.0000032775",
"origin_volume": "0.0023",
"remaining_volume": "0.0",
"executed_volume": "0.0023",
"amount_precision": 4,
"price_precision": 2,
"trades_count": 1,
"created_at": "2025-12-22T19:06:59Z",
"updated_at": "2025-12-22T19:06:59Z"
},
{
"id": 179,
"bid": "usdc",
"ask": "eth",
"side": "buy",
"ord_type": "limit",
"quote_currency": "USDC",
"stop_loss_type": "limit",
"stop_price": "0.0",
"stop_loss_status": null,
"price": "2500.01",
"avg_price": "0.0",
"state": "cancel",
"market": "ethusdc",
"maker_fee": "0.0015",
"total_fee": "0.0",
"origin_volume": "0.0027",
"remaining_volume": "0.0027",
"executed_volume": "0.0",
"amount_precision": 4,
"price_precision": 2,
"trades_count": 0,
"created_at": "2025-12-22T19:05:15Z",
"updated_at": "2025-12-22T19:06:48Z"
},
{ "…": "further orders, same shape as above" }
]